
; This program is free software. It comes without any warranty, to
; the extent permitted by applicable law. You can redistribute it
; and/or modify it under the terms of the Do What The Fuck You Want
; To Public License, Version 2, as published by Sam Hocevar. See
; http://sam.zoy.org/wtfpl/COPYING for more details.

;====== Data ===================================================================
;		 1234567890123456
	.db	0 ; Do not remove
mMainMenu:
	.db	"  Flash Editor", chNewLine
	.db	"1. Copy", chNewLine
	.db	"2. Edit", chNewLine
	.db	"3. Erase Flash", chNewLine
	.db	"4. Write Flash", chNewLine
	;.db	"5. Raw Write", chNewLine
	.db	"5. Quit", chNewLine
	.db	chNewLine
	.db	"11 March 2011";, chNewLine
	.db	0
	.db	k1
	.dw	copyFlash
	.db	k2
	.dw	mEdit-1
	.db	k3
	.dw	eraseFlash
	.db	k4
	.dw	writeFlash
	.db	k5
	.dw	quit
	.db	kClear
	.dw	quit
	.db	0
mEdit:
	.db	"   Hex Editor", chNewLine
	.db	"1. Edit", chNewLine
	.db	"2. Options", chNewLine
	.db	"3. Block Move", chNewLine
;	.db	"4. Utility"
	.db	0
	.db	k1
	.dw	hexEditor
	.db	k2
	.dw	mEditOptions-1
	.db	k3
	.dw	blockMove
	.db	kClear
	.dw	mMainMenu-1
	.db	0
mEditOptions:
	.db	" Editor Options", chNewLine
	.db	"1. Offset", chNewLine
	.db	"2. Page", chNewLine
	.db	"3. RAM Buffer" ; allocate a RAM buffer in TIOS mem for editing
;	.db	"4. Start", chNewLine
;	.db	"5. End", chNewLine
	.db	0
	.db	k1
	.dw	editSetOffset
	.db	k2
	.dw	editSetPage
	.db	k3
	.dw	createRAMBuffer
;	.db	k4
;	.dw	editSetStart
;	.db	k5
;	.dw	editSetEnd
	.db	kClear
	.dw	mEdit-1
	.db	0
strEraseFlashInfo:
	.db	"  Erase Flash"
	.db	0
strWarning:
	.db	"WARNING: About  "
	.db	"to clobber data."
	.db	"Proceed?", 0
strWriteFlashInfo:
	.db	"  Write Flash"
	.db	0
strCopyFlashInfo:
;		 1234567890123456
	.db	"   Copy Flash   "
	.db	0
strCopyInfo:
	.db	"This will wrap  "
	.db	"to next page of "
	.db	"flash and RAM."
	.db	0
strWorking:
	.db	"Clobbering. . . ", 0
strDone:
	.db	"Done!", 0
strFailed:
	.db	"Failed. ", 0
strSetPage:
strCopyFlashSourcePage:
	.db	"Page: ", 0
strAddress:
strCopyFlashSourceAddress:
	.db	"Address: ", 0
strLength:
strCopyFlashSourceLength:
	.db	"Length: ", 0
strSetOffset:
	.db	"Offset: ", 0
;strSetStart:
;	.db	"Start: ", 0
;strSetEnd:
;	.db	"End: ", 0
strNewValue:
	.db	"New Value: ", 0
strArchived:
	.db	"Archived!", 0
strSource:
	.db	"Source: ", 0
strDest:
	.db	"Dest: ", 0
strEditWriteByte:
;		 1234567890123456
	.db	"WRITE FLASH BYTE"
	.db	"Data: ", 0
strRegBC:
	.db	"BC= ", 0
strRegDE:
	.db	"DE= ", 0
strRegHL:
	.db	"HL= ", 0
mChooseInstr:
	.db	"Instruction:", chNewLine
	.db	"1. LDIR", chNewLine
	.db	"2. LDDR"
	.db	0
	.db	k1
	.dw	blockLdir
	.db	k2
	.dw	blockLddr
	.db	kClear
	.dw	abortBlockMove
	.db	0
strVarExists:
	.db	"Variable Exists!"
	.db	"Use this var?   "
	.db	"Location: ", 0
ASCIIchartText:
	.db	"  ASCII  Chart  ", 0
strVarName:
	.db	"Name: ", 0
strFreeMem:
	.db	"Free Mem: ", 0
strEnterToModify:
	.db	"Enter to modify.", 0
letterTable:
	.db	skMath, "A"
	.db	skMatrix, "B"
	.db	skPrgm, "C"
	.db	skRecip, "D"
	.db	skSin, "E"
	.db	skCos, "F"
	.db	skTan, "G"
	.db	skPower, "H"
	.db	skSquare, "I"
	.db	skComma, "J"
	.db	skLParen, "K"
	.db	skRParen, "L"
	.db	skDiv, "M"
	.db	skLog, "N"
	.db	sk7, "O"
	.db	sk8, "P"
	.db	sk9, "Q"
	.db	skMul, "R"
	.db	skLn, "S"
	.db	sk4, "T"
	.db	sk5, "U"
	.db	sk6, "V"
	.db	skSub, "W"
	.db	skStore, "X"
	.db	sk1, "Y"
	.db	sk2, "Z"
	.db	sk3, "[" ; Theta
endLetterTable:
numberTable:
	.db	sk7, "7"
	.db	sk8, "8"
	.db	sk9, "9"
	.db	sk4, "4"
	.db	sk5, "5"
	.db	sk6, "6"
	.db	skSub, "-"
	.db	sk1, "1"
	.db	sk2, "2"
	.db	sk3, "3"
	.db	sk0, "0"
	.db	skDecPnt, "."
	.db	skGraph, " "
endNumberTable:
spaces:
	.db	"        "
	.db	0


spaddr:
	.dw	0
sppage:	.db	0